package Settings;

use Exporter;

@symbols = qw($googleapi $mykey $max_result_sets $max_record $max_daily_limit $usemap);
@ISA = qw(Exporter);
@EXPORT_OK = @symbols;
%EXPORT_TAGS = (
	settings => \@symbols
);


#################################################################################
### Here goes your settings
#################################################################################

$googleapi = "GoogleSearch.wsdl";		## The formal SOAP API
$mykey = "xxxxxxxxxxxxxxxxxxxxxxxxxxxx";	## The key provided by Google
$max_result_sets = 10;				## Max number of result sets per session
$max_record = 10;				## Max number of records fetched per query
$max_daily_query = 1000;			## Max number of daily issued queries

$usemap = {					## Mapping between use attributes and Google API search qualifiers
    4       =>      'intitle',
    1010    =>      'intext',
    1016    =>      '',
    1019    =>      'inurl'
};


1;


## $Log: Settings.pm,v $
## Revision 1.4  2002/04/16 13:53:34  sondberg
## Small modifications.
##
## Revision 1.3  2002/04/16 13:48:50  sondberg
## Added the GoogleSearch.wsdl to repository.
##
## Revision 1.2  2002/04/16 12:38:08  sondberg
## Prepared for dist.
##
